/*
Name:		AnalogKey.ino
Created:	15.02.2016 9:33:59
Author:	ChatterBox
*/
class AnalogKey {
public:
	AnalogKey(uint8_t _Pin, int *_AdrValueKey, uint8_t _QuantKey, uint8_t _Delta) {
		pin = _Pin;
		adrvalue = _AdrValueKey;
		quant = _QuantKey;
		delta = _Delta;
	};

	bool Update(){
		static uint32_t timestamp = 0;
		uint8_t key;
		static bool flag = false;
		int readvol = analogRead(pin);
		if (readvol >= 1024 - delta) flag = true;
		if (flag){
			for (key = 0; key < quant; key++)
				if (readvol >= adrvalue[key] - delta && readvol <= adrvalue[key] + delta) break;
			if (key < quant) {
				if (timestamp == 0)
					timestamp = millis();
				else {
					if (millis() > timestamp + 50){
						KeyPress = key+1;
						flag = false;
						return true;
					}
				}
			} else {
				timestamp = 0;
			}
		}
		return false;
	};

	uint8_t KeyPressed(){
		return KeyPress;
	};
	void Reset(){
		KeyPress = 0;
	};

private:
	uint8_t pin;
	int *adrvalue;
	uint8_t quant;
	uint8_t delta;
	uint8_t KeyPress=0;
};