#if ARDUINO >= 100
#include "Arduino.h"
#else
extern "C" {
#include "WConstants.h"
}
#endif

#include "AnalogKey.h"	
enum _RES { NotPress, Left, Up, Enter, Down, Right };	//   
//       .         
//     Delta
#define v_Left 0  										//      
#define v_Up 86											//      
#define v_Enter 197										//      enter
#define v_Down 322										//      
#define v_Right 478										//      
#define PinKey 3										//      
#define QuantKey 5										//  
#define Delta 10										//       
int ValueKey[] = { v_Left, v_Up, v_Enter, v_Down, v_Right };	//       
AnalogKey key(PinKey, ValueKey, QuantKey, Delta);

#define test 0			//    1,       



void setup() {
	Serial.begin(115200);
	Serial.println("Press any key...");
}

void loop() {

#if test==0
	key.Reset();										//      
	if (key.Update()) {									//      
		switch (key.KeyPressed()){						//    
		case Left:
			Serial.println("Key Left");
			break;
		case Up:
			Serial.println("Key Up");
			break;
		case Enter:
			Serial.println("Key Enter");
			break;
		case Down:
			Serial.println("Key Down");
			break;
		case Right:
			Serial.println("Key Right");
			break;
		default:
			Serial.println("Error");
		}
	};
#else
	int readvol = analogRead(PinKey);
	if (readvol < 1024 - Delta) {
		Serial.print("Volume key - ");
		Serial.println(readvol);
		delay(500);
	}
#endif

}
